Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class UserQuestionTestCase

    java.lang.Object
      org.picocontainer.defaults.UserQuestionTestCase

    public final class UserQuestionTestCase

extends Object

This class can be used to test out various things asked on the mailing list. Or to answer questions.

Author:
  Aslak Hellesøy

Nested Class Summary
`static interface` | `UserQuestionTestCase.ABC`
`static class` | `UserQuestionTestCase.ABCImpl`
`static interface` | `UserQuestionTestCase.Bar`
`static interface` | `UserQuestionTestCase.Cheese`
`static class` | `UserQuestionTestCase.CheeseAdapter`
`static interface` | `UserQuestionTestCase.DEF`
`static class` | `UserQuestionTestCase.DEFImpl`
`static class` | `UserQuestionTestCase.Disabled`
`static class` | `UserQuestionTestCase.Enabled`
`static interface` | `UserQuestionTestCase.Foo`
`static class` | `UserQuestionTestCase.FooBar`
`static class` | `UserQuestionTestCase.Gouda`
`static interface` | `UserQuestionTestCase.InterfaceX`
`static class` | `UserQuestionTestCase.NeedsBar`
`static class` | `UserQuestionTestCase.NeedsFoo`
`static class` | `UserQuestionTestCase.NeedsInterfaceX`
`static class` | `UserQuestionTestCase.Omelette`
`static class` | `UserQuestionTestCase.Roquefort`
`static class` | `UserQuestionTestCase.Something`

Constructor Summary
`UserQuestionTestCase()`

Method Summary
`void` | `testJohnTalOne()`
`void` | `testMoreWeirdness()`
`void` | `testOmeletteCanHaveDifferentCheeseWithAFunnyComponentAdapter()`
`void` | `testSeveralDifferentInstancesCanBeCreatedWithOnePreconfiguredContainer()`
`void` | `testShouldBeAbleShareSameReferenceForDifferentTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserQuestionTestCase

    public UserQuestionTestCase()

Method Detail

### testOmeletteCanHaveDifferentCheeseWithAFunnyComponentAdapter

    public void testOmeletteCanHaveDifferentCheeseWithAFunnyComponentAdapter()

### testMoreWeirdness

    public void testMoreWeirdness()

### testJohnTalOne

    public void testJohnTalOne()

### testShouldBeAbleShareSameReferenceForDifferentTypes

    public void testShouldBeAbleShareSameReferenceForDifferentTypes()

### testSeveralDifferentInstancesCanBeCreatedWithOnePreconfiguredContainer

    public void testSeveralDifferentInstancesCanBeCreatedWithOnePreconfiguredContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.